summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorSuren A. Chilingaryan <csa@suren.me>2014-12-19 00:14:21 +0100
committerSuren A. Chilingaryan <csa@suren.me>2014-12-19 00:14:21 +0100
commita640c40c6bcf4bad0b78e0ea6ea04f2a5f3f877f (patch)
tree7a6b899c130510e3cca87c23b26a5a1ffc033f20 /tests
parent0e16eeef08ed9b27f0fbc7f02a562a81e10c4119 (diff)
downloadpcitool-a640c40c6bcf4bad0b78e0ea6ea04f2a5f3f877f.tar.gz
pcitool-a640c40c6bcf4bad0b78e0ea6ea04f2a5f3f877f.tar.bz2
pcitool-a640c40c6bcf4bad0b78e0ea6ea04f2a5f3f877f.tar.xz
pcitool-a640c40c6bcf4bad0b78e0ea6ea04f2a5f3f877f.zip
Initial implementation of IPEDMA, dummy driver for KAPTURE, start of API changes
Diffstat (limited to 'tests')
-rwxr-xr-xtests/dma/ipe/bench.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/dma/ipe/bench.sh b/tests/dma/ipe/bench.sh
new file mode 100755
index 0000000..cc32971
--- /dev/null
+++ b/tests/dma/ipe/bench.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+size=65536
+
+function pci {
+ PCILIB_PATH=`pwd`/../../..
+ LD_LIBRARY_PATH="$PCILIB_PATH" $PCILIB_PATH/pci -m kapture $*
+}
+
+
+rm -f bench.out
+
+pci --stop-dma dma0r
+pci --start-dma dma0r
+
+# Clean DMA buffers
+#while [ $? -eq 0 ]; do
+# pci -r dma0 -s 65536 &> /dev/null
+#done
+
+for i in `seq 1 100`; do
+ pci -r dma0 --multipacket -s $size -o bench.out
+ if [ $? -ne 0 ]; then
+ pci --stop-dma dma0r
+ exit
+ fi
+done
+
+pci --stop-dma dma0r
+
+../../../apps/check_counter bench.out